Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.transformer
Class ClonerToResultTree

    java.lang.Object
      |
      +--org.apache.xalan.transformer.ClonerToResultTree

public class ClonerToResultTree
extends java.lang.Object

**For internal use only** Class used to clone a node, possibly including its children to a result tree.

Constructor Summary
`ClonerToResultTree(TransformerImpl transformer, ResultTreeHandler rth)` Constructor ClonerToResultTree

Method Summary
`static void` | `cloneToResultTree(int node, int nodeType, DTM dtm, ResultTreeHandler rth, boolean shouldCloneAttributes)` Clone an element with or without children.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClonerToResultTree

    public ClonerToResultTree(TransformerImpl transformer,
                              ResultTreeHandler rth)

  Constructor ClonerToResultTree
  Parameters:
    `transformer` - non-null transformer instance to use for the cloning
    `rth` - non-null result tree handler for the cloned tree

Method Detail

### cloneToResultTree

    public static void cloneToResultTree(int node,
                                         int nodeType,
                                         DTM dtm,
                                         ResultTreeHandler rth,
                                         boolean shouldCloneAttributes)
                                  throws TransformerException

  Clone an element with or without children. TODO: Fix or figure out node clone failure! the error condition is severe enough to halt processing.
  Parameters:
    `node` - The node to clone
    `shouldCloneAttributes` - Flag indicating whether to clone children attributes
  Throws:
    TransformerException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.